/*****************************************************************************/
/*** hugo hehe main.css ******************************************************/
/*****************************************************************************/
html {
    height: 100vh;
    margin: 0;
    padding: 0;
}
body {
    min-height: 100vh;
    margin: 0;
    padding: 0;
    background: var(--bg);
    font-size: 0.9em;
    line-height: 1.5em;
    font-family: var(--font-family-monospace);
    color: var(--text);
}
/*****************************************************************************/
/*** grid ********************************************************************/
/*****************************************************************************/
body {
    display: grid;
    grid-template-columns: 1fr minmax(auto, 960px) 1fr;
    grid-template-rows: minmax(auto, auto) minmax(auto,auto) 1fr minmax(auto, auto);
    grid-auto-rows: min-content;
}
header {
    grid-column: 1 / -1;
    grid-row:    1;
}
aside {
    grid-column: 3 / 3;
    grid-row: 3;
}
main {
    grid-column: 2 / 3;
    grid-row: 3;
}
footer {
    grid-column: 1 / -1;
    grid-row: 4;
}
/*****************************************************************************/
/*** sub grid ****************************************************************/
/*****************************************************************************/
main {
    display: grid;
    grid-template-columns: minmax(auto, 960px);
    grid-template-rows: minmax(auto, max-content) minmax(auto, auto) minmax(auto, max-content);
    grid-auto-rows: min-content;
    animation:intro 1s both;
    animation-delay:.15s;
}
main .top {
    grid-column: 1 / -1;
    grid-row: 1;
}
main .in-between {
    grid-column: 1 / -1;
    grid-row: 2;
}
main .bottom {
    grid-column: 1 / -1;
    grid-row: 3;
}
/*****************************************************************************/
/*** header / nav ************************************************************/
/*****************************************************************************/
header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
 /* border-bottom: var(--border); */
 /* padding: 0.5em 0; */
    font-size: 1em;
    line-height: 2rem;
    background-color: var(--bg-dark); 
 /* box-shadow: 0 0 5px 5px var(--fg-4); */
    color: var(--text-inverted);
}
header nav.menu {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    flex-grow: 1;
}
header nav.menu ul.main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0;
}
header nav.menu ul.secondary {
    display: flex;
    list-style: none;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
}
header .title a,
header nav.menu ul li a {
    padding: .5em .5em;
    color: var(--tone-one);
    text-decoration: none;
    border-bottom: none;
    transition: var(--transition);
}
header .title a:hover,
header nav.menu ul li a:hover {
    color: var(--text-inverted-brightest);
    text-decoration: none;
    background: var(--tone-one-dark);
    padding: .5em .5em;
 /* box-shadow: 0 0 5px 5px var(--tone-one-dark); */
}
header .title .current,
header nav ul li.current {
 /* background-color: var(--tone-one-dark); */
}
header .title .current {
    color: var(--tone-one-light);
 /* text-shadow: 0 0 10px var(--tone-one-light), 0 0 2px var(--tone-one-dark); */
}
header nav ul li.current a {
    color: var(--tone-one-light);
    background: unset;
 /* text-shadow: 0 0 10px var(--tone-one-light), 0 0 2px var(--tone-one-dark); */
}
/*****************************************************************************/
/*** common main settings ****************************************************/
/*****************************************************************************/
aside .toc-sticky {
    position: sticky;
    top: 113px;
    right: 0;
    padding-right: 1em;
}
aside .toc-sticky h3 {
    border-bottom: var(--border-dark);
}
aside #TableOfContents ul {
    padding-left: 0;
    margin-left: 0;
    list-style: none;
}
aside #TableOfContents ul li {
    margin-bottom: .5em;
}
/*****************************************************************************/
/*** common main settings ****************************************************/
/*****************************************************************************/
main {
    padding: 0 1em;
}
main .top {
    text-align: center;
    padding: 1em 0;
    font-size: 1.5em;
}
main .top a {
    border-bottom: none;
}
main .in-between {
    padding-bottom: 1em;
}
main .bottom {
    padding: 2em 0;
}
main hr {
    border: none;
    border-bottom: var(--border-dark);
    height: 0px;
 /* background: var(--bg-2); */
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}
main pre {
    color: var(--tone-one-dark)!important;
    background-color: var(--bg-code)!important;
    padding: .5em;
}
main code {
    white-space: pre-wrap;
    font-family: var(--font-family-monospace);
    font-size: .9em;
    color: var(--tone-one-dark);
    background-color: var(--bg-code);
 /* border: 0px solid var(--bg-2); */
 /* border-radius: 0.2em; */
    padding: .5em;
    margin: 0;
 /* display: inline-flex; */
    word-break: break-all;
    line-height: 1.5em;
}
.vh50 {
    display: flex;
    align-items: center;
    justify-content: center;
}
main h1, main h2, main h3, main h4 {
    border-bottom: var(--border-dark);
}
main h1 {
    font-size: 1.5em;
}
main h2 {
    font-size: 1.3em;
}
main h3 {
    font-size: 1.1em;
}
main h4 {
    font-size: 1em;
}
main h5 {
    font-size: 0.9em;
}
main h6 {
    font-size: 0.9em;
}
main img {
    max-width: 100%;
}
img[src$='#center']
{
    display: block;
    margin: 0.7em auto; /* you can replace the vertical '0.7rem' by
                            whatever floats your boat, but keep the
                            horizontal 'auto' for this to work */
    /* whatever else styles you fancy here */
}
img[src$='#floatleft']
{
    float:left;
    margin: 0.7em;      /* this margin is totally up to you */
    /* whatever else styles you fancy here */
}
img[src$='#floatright']
{
    float:right;
    margin: 0.7em;      /* this margin is totally up to you */
    /* whatever else styles you fancy here */
}
.underline {
    text-decoration: underline;
}
.t-right {
    text-align: right !important;
}
.t-left {
    text-align: left !important;
}
/*****************************************************************************/
/*** footer ******************************************************************/
/*****************************************************************************/
footer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
 /* border-top: var(--border); */
 /* padding: 0 .5em; */
    font-size: 1em;
    line-height: 2rem;
    background-color: var(--bg-dark);
 /* box-shadow: 0 0 5px 5px var(--fg-4); */
    color: var(--text-inverted);
}
footer .title {
    color: var(--text-inverted);
}
footer a {
    color: var(--tone-one);
    text-decoration: none;
    border-bottom: none;
    transition: var(--transition);
    padding: .5em .5em;
}
footer a:hover {
    color: var(--text-inverted-brightest);
    text-decoration: none;
    background: var(--tone-one-dark);
    padding: .5em .5em;
 /* box-shadow: 0 0 5px 5px var(--tone-one-dark); */
}
footer .date-c-author {
    padding-right: .5em;
}
footer .date-c-author a {
    color: var(--text-inverted);
    background-color: unset;
    text-decoration: none;
    border: none;
    border-bottom: var(--border-link);
    transition: var(--transition);
    padding: 0;
}
footer .date-c-author a:hover {
    color: var(--text-inverted-brightest);
    background-color: var(--tone-one-dark);
    text-decoration: none;
    padding: 0;
}
footer .status {
    padding-right: 1ch;
}
footer div.left {
    padding-left: 1ch;
}
footer div.right {
    padding: 0 1ch;
}
footer div.left .fa-copyright {
    padding: 0 1ch;
}
footer div.left .fa-creative-commons {
    padding-right: 1ch;
}
/*****************************************************************************/
/*** keyframes ***************************************************************/
/*****************************************************************************/
@keyframes highlight {
    from {
        background: var(--tone-one);
        color: var(--text-inverted-brightest);
    }
    to {
        background: var(--bg);
        color: var(--text);
    }
}
@keyframes intro {
    0% {
        opacity:0;
    }
    100% {
        opacity:1;
    }
}
/*****************************************************************************/
/*** more ********************************************************************/
/*****************************************************************************/
a {
    color: var(--text);
    text-decoration: none;
    border: none;
    border-bottom: var(--border-link);
    transition: var(--transition);
}
a:hover {
    color: var(--text-inverted-brightest);
    background-color: var(--tone-one-dark);
    text-decoration: none;
}
h1:target, h2:target, h3:target, h4:target, h5:target, h6:target {
    animation: highlight 2s ease;
}
.asterisk {
    color: #BF9936;
}
.highlight {
    color: var(--tone-one);
}
.green {
    color: #397;
}
.red {
    color: #933;
}
.opaque {
    opacity: .8;
}
/*****************************************************************************/
/*** details *****************************************************************/
/*****************************************************************************/
details summary {
	list-style-type: none;
    background-color: unset;
    color: var(--text);
    cursor: pointer;
    padding: .5em 0;
    margin: 1em 0;
    text-align: left;
    transition: 0.4s;
    border-bottom: var(--border-dark);
 /* border-radius: 0.2em; */
}
details summary::-webkit-details-marker { display:none; }
details summary:hover {
    background-color: var(--tone-one-dark);
    color: var(--text-inverted-brightest);
}
details summary:hover:after {
    color: var(--text-inverted-brightest);
}
details summary:after {
    font-weight: 700;
    content: "(+)";
    color: var(--text);
    float: right;
    margin-left: 5px;
    transition: 0.4s;
}
details[open] {
    margin-bottom: 2em;
}
details[open] summary {
    background-color: var(--tone-one);
    color: var(--text-inverted-brightest);
    border-bottom: var(--border-light);
}
details[open] summary:after {
    font-weight: 700;
    content: "(-)";
    color: var(--text-inverted-brightest);
}
details[open] summary ~ * {
    animation:intro 1s both;
    animation-delay:.15s;
}
/*
details[open] div.details-inner {
    border: var(--border);
    border-top: unset;
    margin-top: -1em;
    padding: 0.5em 1em;
}
*/
/*****************************************************************************/
/*** status code pages / external pages **************************************/
/*****************************************************************************/
#svg-status-code-401 {
    fill: var(--text-dark);
    height: 50vh;
    max-width: 100vw;
}
#svg-status-code-404 {
    fill: var(--black);
    height: 50vh;
    max-width: 100vw;
}
#svg-dirlisting-disabled {
    fill: var(--text-dark);
    height: 30vh;
    max-width: 100vw;
}
#peace-fingers {
    fill: var(--text-dark);
    height: 50vh;
    max-width: 100vw;
}
footer .left .response {
    padding-left: .5em;
}
/*****************************************************************************/
/*** categories / tags *******************************************************/
/*****************************************************************************/
main.categories-list .in-between .list article, main.tags-list .in-between .list article {
    padding: 1ch 0;
}
main.categories-list .bottom .fa-arrow-left, main.tags-list .bottom .fa-arrow-left {
    padding-right: 1ch;
}
/*** taxonomy lists ***********************************************************/
main.categories-taxonomy .top .relpermalink, main.tags-taxonomy .top .relpermalink {
    border-bottom: var(--border-link);
}
main.categories-taxonomy .group, main.tags-taxonomy .group {
    display: flex;
    margin-bottom:1.9em;
}
main.categories-taxonomy .year, main.tags-taxonomy .year {
    padding-top: 6px;
    margin-right: 1.8em;
    font-size: 1.6em;
    opacity: .6;
}
main.categories-taxonomy .list, main.tags-taxonomy .list {
    flex-grow: 1;
    margin: 0;
    padding: 0;
    list-style: none;
}
main.categories-taxonomy .item, main.tags-taxonomy .item {
    border-bottom: var(--border);
}
main.categories-taxonomy .item a, main.tags-taxonomy .item a {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    padding: 12px 6px;
}
main.categories-taxonomy .date, main.tags-taxonomy .date {
    flex-shrink: 0;
    margin-left: 1em;
    opacity: .6;
}
main.categories-taxonomy a:hover .date, main.tags-taxonomy a:hover .date {
    opacity: 1;
}
main.categories-taxonomy .in-between a, main.tags-taxonomy .in-between a {
    box-shadow: none;
    border: none;
}
main.categories-taxonomy .bottom .fa-arrow-left, main.tags-taxonomy .bottom .fa-arrow-left {
    padding-right: 1ch;
}
/*****************************************************************************/
/*** responsiveness **********************************************************/
/*****************************************************************************/
@media (max-width: 1260px) {
    header {
        grid-column: 1 / -1;
        grid-row:    1;
    }
    aside {
        grid-column: 2 / 3;
        grid-row: 2;
    }
    main {
        grid-column: 2 / 3;
        grid-row: 3;
    }
    footer {
        grid-column: 1 / -1;
        grid-row: 4;
    }
    aside {
        padding: 0 1rem;
    }
}
